//-----------------------------------------------------------------
// Misc.h - Created Fred Foscalina
// Miscellaneous header file definitions
//-----------------------------------------------------------------
//
//$Modtime: 2/12/14 4:26p $
//$Revision: 5 $
//$Author: Fredf $ 

#ifndef __MISC_H__	// don't allow multiple loads
#define __MISC_H__

#define TRUE 	1
#define FALSE	0
#define true 1
#define false 0
#define ERROR	-1
#define ON		TRUE
#define OFF		FALSE
#define INCH	1
#define METRIC	0

#define DirectionCW 1
#define DirectionCCW -1
#define DirectionPos 1
#define DirectionNeg -1

#define SCF_STOP	0
#define SCF_GO		1 

#define XAXIS	1
#define YAXIS	2
#define ZAXIS	3
#define AAXIS	4
#define SPNDL	5
#define HNDWL	6

#define LEFT	0
#define RIGHT	1

#define Timer1M 	I5111
#define Timer2M 	I5112
#define Timer3M 	I5211
#define Timer4M 	I5212
#define Timer5M		I5311
#define Timer6M		I5312
#define	Timer7M		I5411
#define Timer8M		I5412
#define	Timer9M		I5511
#define Timer10M	I5512
#define	Timer11M	I5611
#define Timer12M	I5612
#define	Timer13M	I5711
#define Timer14M	I5712

#define DebounceTimer	Timer1M
#define JogWaitTimer	Timer2M
#define FeedWaitTimer	Timer3M
#define TrakingTimer	Timer4M
#define ehwTimer		Timer5M
#define Code100Timer	Timer6M
#define DebounceTimer2	Timer7M
#define DebounceTimer3	Timer8M
#define DebounceTimer4	Timer9M
#define PLC0DelayTimer	Timer10M
#define DebounceTimer11 Timer11M
#define StatusWaitTimer12 Timer12M


#define MAX_TIMER_VAL		8388607
#define MIN_TIMER_VAL		-8388607
#define MAX_DT_NUMBER		8388607
#define MAX_ENC_COUNT		34359738367

#endif